SIGN-IN

SYSTEM (Utility)

Introduction

System modules are updated centos6 packages compiled with the centos6 gcc system compiler, typically required to run configure or cmake to build an open source package where a more recent os is normally used. If you need another system module installed to help get something compiled please open a ticket and let us know, it will be created.

Availability Table

System Versions
goblin latest
copper latest
dusky latest
iqaluk latest
vdi-centos6 latest
mosaic latest
orca latest
wobbie latest

Mailing List

To sign up for email notices about pending version updates, removals and other important announcements for this software package, sign in.

Announcements

A list of available system modules on sharcnet legacy system follows:

[roberpj@orc-login2:~] module avail |& grep system
autoconf/system/2.69
automake/system/1.15
binutils/system/2.28
binutils/system/2.30
bison/system/3.0.4
bzip2/system/1.0.6
curl/system/7.53.1
eigen/system/3.3.4
ffmpeg/system/3.4.2
glibc/system/2.18
glibc/system/2.20
glpk/system/4.64
isl/system/0.18
libarchive/system/3.3.1
libpng/system/1.6.29
libsndfile/system/1.0.27
libsndfile/system/1.0.28
libtool/system/2.4.6
m4/system/1.4.18
mono/system/5.12.0.226
ninja/system/1.8.2
octave/system/4.0.3
openssl/system/1.1.0g
pcre/system/8.40
perl/system/5.24.1
python/base-system/2.7.14
python/base-system/3.6.3
python/base-system/3.6.4
sphinx/system/2.2.11
sqlite/system/3.22.0
swig/system/3.0.12
xz/system/5.2.3
zlib/system/1.2.11

[roberpj@orc-login2:~] module avail |& grep system | wc -l
33

Change Log

o Jul 3, 2018: Added mono/system/5.12.0.226 to all centos6 legacy sharcnet machines.
o Apr 17, 2018: Added libsndfile/system/1.0.28 to all centos6 legacy sharcnet machines.
o Apr 5, 2018: Added bison/system/3.0.4, glibc/system/2.18 and glibc/system/2.20 as dependency for sharcnet-python-3.6.3-core-intel1506 when using tensorflow whl files.
o Mar 16, 2018: Installed ffmpeg/system/3.4.2 module as dependency for new opencv/gcc630-python2714/3.4.0 module.
o Apr 5, 2017: Initial installation of autoconf/system/2.69, automake/system/1.15, binutils/system/2.28, binutils/system/2.30 bzip2/system/1.0.6, curl/system/7.53.1, eigen/system/3.3.4, glpk/system/4.64, isl/system/0.18, libarchive/system/3.3.1, libpng/system/1.6.29, libsndfile/system/1.0.27, libtool/system/2.4.6, m4/system/1.4.18, ninja/system/1.8.2, octave/system/4.0.3, openssl/system/1.1.0g, pcre/system/8.40, perl/system/5.24.1, python/base-system/2.7.14, python/base-system/3.6.3, python/base-system/3.6.4, sphinx/system/2.2.11, sqlite/system/3.22.0, swig/system/3.0.12, xz/system/5.2.3, zlib/system/1.2.11